# Read agents life simulations events (by id)

`GET /agents/{id}/life/simulations/{simId}/events` · Rivier · agents

- Scope: agents:read
- Graphql: Query.agentsLifeSimulationsEventsGet
- Sdk: agents.lifeSimulationsEvents.get
- Cli: agents life simulations events get

## Parameters

- `id` (path, required), string
- `simId` (path, required), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/agents/{id}/life/simulations/{simId}/events' \
  -H 'Authorization: Bearer $KEY'
```
